This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478528 - Please branch/build xqilla for EPEL5
Please branch/build xqilla for EPEL5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xqilla (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 10:32 EST by Jose Pedro Oliveira
Modified: 2009-01-07 11:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 11:06:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2008-12-31 10:32:50 EST
Description of problem:
Would it be possible to have xqilla in the EPEL5 repositories ? 


Additional info:
The xqilla SRPM available for Fedora 8 (xqilla-2.0.0-1.1) builds cleanly in Centos 5.2.
Comment 1 Jose Pedro Oliveira 2008-12-31 10:37:37 EST
The latest versions of qpid (messaging) require it for XML message filtering.
Comment 2 Milan Zazrivec 2008-12-31 13:21:42 EST
Sure. 
EL-5 branch requested in https://bugzilla.redhat.com/show_bug.cgi?id=427996#c10
Comment 3 Milan Zazrivec 2009-01-05 09:07:17 EST
XQilla for EPEL branched & built.

http://buildsys.fedoraproject.org/build-status/job.psp?uid=1137
Comment 4 Jose Pedro Oliveira 2009-01-05 10:22:11 EST
(In reply to comment #3)
> XQilla for EPEL branched & built.
> 
> http://buildsys.fedoraproject.org/build-status/job.psp?uid=1137

Thanks.
Comment 5 Jose Pedro Oliveira 2009-01-06 12:07:17 EST
Milan,

There is a problem in the Fedora 9 xqilla SRPM:

 * it ships with xerces-c-src_2_8_0.tar.gz
 * it build requires xerces-c-devel >= 2.7.0
 * it requires xerces-c >= 2.7.0

It should really build requires xerces-c-devel >= 2.8.0 (and requires xerces-c >= 2.8.0).

Note: I detected this problem when it failed to build (due to linking problems) in EPEL5 (it starts to build as EPEL5 is able to satisfy its build requirements: xerces-c-devel >= 2.7.0).

/jpo
Comment 6 Milan Zazrivec 2009-01-07 04:19:01 EST
(In reply to comment #5)
> Milan,
> 
> There is a problem in the Fedora 9 xqilla SRPM:
> 
>  * it ships with xerces-c-src_2_8_0.tar.gz
>  * it build requires xerces-c-devel >= 2.7.0
>  * it requires xerces-c >= 2.7.0

Fixed: https://admin.fedoraproject.org/updates/xqilla-2.0.0-7.fc9
Comment 7 Jose Pedro Oliveira 2009-01-07 07:55:56 EST
Milan,

There is another xerces-c requirement in the devel subpackage:

http://cvs.fedoraproject.org/viewvc/rpms/xqilla/F-9/xqilla.spec?view=markup
----------
...
%package devel
Group: Development/Libraries
Summary: XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C
Requires: %{name} = %{version}-%{release} xerces-c-devel >= 2.7.0
...
----------
Comment 8 Jose Pedro Oliveira 2009-01-07 08:03:11 EST
(In reply to comment #7)
> Milan,
> 
> There is another xerces-c requirement in the devel subpackage:
> 
> http://cvs.fedoraproject.org/viewvc/rpms/xqilla/F-9/xqilla.spec?view=markup
> ----------
> ...
> %package devel
> Group: Development/Libraries
> Summary: XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C
> Requires: %{name} = %{version}-%{release} xerces-c-devel >= 2.7.0
> ...
> ----------

This also affects the F-10 and the devel specfiles. 

/jpo

PS - A new version of Xqilla has been released:

     XQilla version 2.2.0 released
     http://sourceforge.net/forum/forum.php?forum_id=905141
Comment 9 Milan Zazrivec 2009-01-07 08:46:33 EST
(In reply to comment #7)
> Milan,
> 
> There is another xerces-c requirement in the devel subpackage:
> 
> http://cvs.fedoraproject.org/viewvc/rpms/xqilla/F-9/xqilla.spec?view=markup
> ----------
> ...
> %package devel
> Group: Development/Libraries
> Summary: XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C
> Requires: %{name} = %{version}-%{release} xerces-c-devel >= 2.7.0
> ...
> ----------

Correct, this should have been fixed for xqilla-devel too.

https://admin.fedoraproject.org/updates/xqilla-2.0.0-8.fc9
Comment 10 Milan Zazrivec 2009-01-07 08:47:18 EST
(In reply to comment #8)
> (In reply to comment #7)
> > Milan,
> > 
> > There is another xerces-c requirement in the devel subpackage:
> > 
> > http://cvs.fedoraproject.org/viewvc/rpms/xqilla/F-9/xqilla.spec?view=markup
> > ----------
> > ...
> > %package devel
> > Group: Development/Libraries
> > Summary: XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C
> > Requires: %{name} = %{version}-%{release} xerces-c-devel >= 2.7.0
> > ...
> > ----------
> 
> This also affects the F-10 and the devel specfiles. 

Correct, fixed in https://admin.fedoraproject.org/updates/xqilla-2.1.3-0.3.fc10
Comment 11 Milan Zazrivec 2009-01-07 08:49:38 EST
(In reply to comment #8)
> (In reply to comment #7)
> > Milan,
> > 
> > There is another xerces-c requirement in the devel subpackage:
> > 
> > http://cvs.fedoraproject.org/viewvc/rpms/xqilla/F-9/xqilla.spec?view=markup
> > ----------
> > ...
> > %package devel
> > Group: Development/Libraries
> > Summary: XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C
> > Requires: %{name} = %{version}-%{release} xerces-c-devel >= 2.7.0
> > ...
> > ----------
> 
> This also affects the F-10 and the devel specfiles. 

Rawhide version of XQilla fixed in 
http://koji.fedoraproject.org/koji/buildinfo?buildID=77541
Comment 12 Milan Zazrivec 2009-01-07 08:52:57 EST
(In reply to comment #8)
> PS - A new version of Xqilla has been released:
> 
>      XQilla version 2.2.0 released
>      http://sourceforge.net/forum/forum.php?forum_id=905141

Yes, this version builds fine in Rawhide. Tho I'm a little reluctant to 
rebase to this version since I'm not sure how will this affect
dbxml (another package depending on it).
Comment 13 Jose Pedro Oliveira 2009-01-07 11:06:17 EST
(In reply to comment #12)
> (In reply to comment #8)
> > PS - A new version of Xqilla has been released:
> > 
> >      XQilla version 2.2.0 released
> >      http://sourceforge.net/forum/forum.php?forum_id=905141
> 
> Yes, this version builds fine in Rawhide. Tho I'm a little reluctant to 
> rebase to this version since I'm not sure how will this affect
> dbxml (another package depending on it).


And it may also be better to wait for xerces-c-3.0 to hit rawhide and take advantage of this (from the 2.2.0 release notes):

  ...
  * Modified XQilla to compile against Xerces-C 3.0. A source installation 
    of Xerces-C is no longer necessary for compilation. 
  ... 

/jpo

PS - closing the ticket as the main objective has already been accomplished
     (xqilla 2.0.0 is already available in the epel5 testing repository)

Note You need to log in before you can comment on or make changes to this bug.